summaryrefslogtreecommitdiffstats
path: root/chrome/tools
diff options
context:
space:
mode:
authorgfeher@chromium.org <gfeher@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-08-29 09:52:25 +0000
committergfeher@chromium.org <gfeher@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-08-29 09:52:25 +0000
commit0b0609e9fb67d7897cd1ffc32077704576dd3c54 (patch)
tree6a19ebd3cd039884ed5dac8e67b1dfa4fa91c553 /chrome/tools
parent718effe55072dd78062ff6ef9d7caa8c9faeda81 (diff)
downloadchromium_src-0b0609e9fb67d7897cd1ffc32077704576dd3c54.zip
chromium_src-0b0609e9fb67d7897cd1ffc32077704576dd3c54.tar.gz
chromium_src-0b0609e9fb67d7897cd1ffc32077704576dd3c54.tar.bz2
Revert 57812 - Add the new Mac manifest to the application bundle
Add the policy templates generated from chrome/app/policy_templates.json to the Mac application bundle. (The template generator for Mac is implemented in CL 3116027) BUG=49316 TEST=add Chromium to the managed applications' list in the OSX Workgroup Manager, and see if it shows the manageable preferences TBR=thomasvl@chromium.org Review URL: http://codereview.chromium.org/3267003 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@57813 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'chrome/tools')
-rwxr-xr-xchrome/tools/build/mac/copy_mcx_manifest.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/chrome/tools/build/mac/copy_mcx_manifest.sh b/chrome/tools/build/mac/copy_mcx_manifest.sh
new file mode 100755
index 0000000..fc4cbfc
--- /dev/null
+++ b/chrome/tools/build/mac/copy_mcx_manifest.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copyright (c) 2010 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+if [[ ${#} -ne 4 ]]; then
+ echo "usage: ${0} APP_NAME IDENTIFIER SOURCE DESTINATION" >&2
+ exit 1
+fi
+
+APP_NAME="${1}"
+IDENTIFIER=${2}
+SOURCE=${3}
+DESTINATION=${4}
+
+# All hail sed.
+exec sed -e "s/@APP_NAME@/${APP_NAME}/g" \
+ -e "s/@CHROMIUM_BUNDLE_ID@/${IDENTIFIER}/g" \
+ "${SOURCE}" > "${DESTINATION}"